Skip to main content
POST
/
v1
/
fetch
cURL
curl -X POST https://api.scrapio.dev/v1/fetch \
  -H "Authorization: Bearer $SCRAPIO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com","output":["markdown"]}'
{
  "request_id": "<string>",
  "mode": "inline",
  "outputs": {
    "html": "<string>",
    "markdown": "<string>",
    "json": {},
    "screenshot": {
      "url": "<string>"
    }
  },
  "usage": {
    "credits": 4503599627370495
  },
  "diagnostics": {
    "outcome": "partial",
    "output_failures": [
      {
        "code": "<string>",
        "message": "<string>"
      }
    ]
  },
  "session": {
    "id": "<string>",
    "updated": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required
render_js
boolean
device
enum<string>
Available options:
desktop,
mobile,
tablet
session
object
output
enum<string>[]
Minimum array length: 1
Available options:
html,
markdown,
json,
screenshot
extract
object
wait_for
object
timeout_ms
integer
Required range: x <= 300000

Response

Inline fetch completed successfully.

request_id
string
required
mode
enum<string>
required
Available options:
inline
status
enum<string>
required
Available options:
completed,
partial
outputs
object
required
usage
object
required
diagnostics
object
session
object